import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { CategoryItemHighlightType } from "./CategoryItemHighlightType";
import { DataTemplate } from "igniteui-angular-core/ES5/DataTemplate";
import { CategoryItemHighlightLayerFrame } from "./CategoryItemHighlightLayerFrame";
import { Type, Point } from "igniteui-angular-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { ItemHighlightFrameRect } from "./ItemHighlightFrameRect";
import { List$1 } from "igniteui-angular-core/ES5/List$1";
import { Rect } from "igniteui-angular-core/ES5/Rect";
import { Pool$1 } from "igniteui-angular-core/ES5/Pool$1";
import { Rectangle } from "igniteui-angular-core/ES5/Rectangle";
import { ContentControl } from "igniteui-angular-core/ES5/ContentControl";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { RenderingContext } from "igniteui-angular-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected mu: CategoryItemHighlightLayerView;
    mx: Series;
    m1: boolean;
    mv: CategoryItemHighlightType;
    nf: DataTemplate;
    m3: number;
    m0: boolean;
    protected mb(a: Series, b: boolean): void;
    protected ly(a: Series): boolean;
    protected md(a: Frame, b: SeriesView): void;
    private mz;
    private my;
    protected is(a: any, b: string, c: any, d: any): void;
    private m2;
    private nc;
    na(a: Point, b: CategoryItemHighlightLayerFrame, c: Series): void;
    private mw;
    nb(a: Rect, b: CategoryItemHighlightLayerFrame, c: Series): void;
    protected mg(a: Frame, b: SeriesView): void;
    nd(a: ItemHighlightFrameRect, b: ContentControl): void;
    ne(a: ItemHighlightFrameRect, b: Rectangle): void;
    protected c7(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryItemHighlightLayer);
    protected b1: CategoryItemHighlightLayer;
    b3: Pool$1<Rectangle>;
    b2: Pool$1<ContentControl>;
    ap(): void;
    protected b4: List$1<ContentControl>;
    protected b5: List$1<Rectangle>;
    private ch;
    private cb;
    private cd;
    private cc;
    private ce;
    private b6;
    private b8;
    private b7;
    cf(a: Brush): Brush;
    cg(a: Brush): Brush;
    ca(a: Rectangle, b: number, c: number, d: number, e: number): void;
    b9(a: ContentControl, b: number, c: number): void;
    protected be(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
